<h4>DBZ list</h4>

<ul class="list-group">
  <li *ngFor="
    let character of characterList; let i = index;
    let isFirst = first
    let isLast = last
    let isEven = even
    let isOdd = odd
    " class="list-group-item d-flex justify-content-between align-items-center"
    [ngClass]="{ 'list-group-item-dark': isLast, 'list-group-item-primary': isEven }">

    <div>
      <span>{{character.id}}</span>
      <span class="text-primary">{{i+1}}. </span>
      <span>{{character.name}} - </span>
      <strong>Power: </strong>
      <span>{{character.power}}</span>
    </div>
    <!-- <span> {{ isFirst }}</span>
    <span> {{ isLast }}</span>
    <span> {{ isEven }}</span>
    <span> {{ isOdd }}</span> -->

    <button class="btn btn-danger" (click)="onDeleteCharacter(character.id)">X</button>
  </li>
</ul>